| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Friends | List of all members
Digikam::SAlbum Class Reference

A Search Album representation.

Inheritance diagram for Digikam::SAlbum:

## Public Member Functions
| SAlbum (const QString &title, int id, bool root=false)
CoreDbUrl | databaseUrl () const override
QString | displayTitle () const
bool | isAdvancedSearch () const
bool | isDuplicatesSearch () const
bool | isHaarSearch () const
bool | isKeywordSearch () const
bool | isMapSearch () const
bool | isNormalSearch () const
bool | isTemporarySearch () const
| Indicates whether this album is a temporary search or not.
bool | isTimelineSearch () const
QString | query () const
DatabaseSearch::Type | searchType () const
Public Member Functions inherited from Digikam::Album
QList< int > | childAlbumIds (bool recursive=false)
AlbumList | childAlbums (bool recursive=false)
Album * | childAtRow (int row) const
int | childCount () const
void * | extraData (const void *const key) const
| Retrieve the associated extra data associated with `key`.
Album * | firstChild () const
int | globalID () const
| An album ID is only unique among the set of all Albums of its Type.
int | id () const
| Each album has a `ID` uniquely identifying it in the set of Albums of a Type.
bool | isAncestorOf (Album *const album) const
bool | isRoot () const
bool | isTrashAlbum () const
bool | isUsedByLabelsTree () const
Album * | lastChild () const
Album * | next () const
Album * | parent () const
void | prepareForDeletion ()
| For secure deletion in an album model, call this function beforehand.
Album * | prev () const
void | removeExtraData (const void *const key)
| Remove the associated extra data associated with `key`.
int | rowFromAlbum () const
void | setExtraData (const void *const key, void *const value)
| This allows to associate some "extra" data to a Album.
void | setUsedByLabelsTree (bool isUsed)
| Sets the property m_usedByLabelsTree to true if the search album was created using the Colors and labels tree view.
QString | title () const
Type | type () const

## Static Public Member Functions
static QString | getTemporaryHaarTitle (DatabaseSearch::HaarSearchType haarType)
| Returns the title for a temporary haar search depending on the sub-type used for this search.
static QString | getTemporaryTitle (DatabaseSearch::Type type, DatabaseSearch::HaarSearchType haarType=DatabaseSearch::HaarImageSearch)
| Returns the title of search albums that is used to mark them as a temporary search that isn't saved officially yet and is only used for viewing purposes.
Static Public Member Functions inherited from Digikam::Album
static int | globalID (Type type, int id)
| Produces the global id.

## Friends
class | AlbumManager

## Additional Inherited Members
Public Types inherited from Digikam::Album
enum | Type { PHYSICAL = 0 , TAG , DATE , SEARCH , FACE }
Protected Member Functions inherited from Digikam::Album
| Album (Album::Type type, int id, bool root)
| Constructor.
virtual | ~Album ()
| Destructor.
void | clear ()
| Delete all child albums and also remove any associated extra data.
void | insertChild (Album *const child)
void | removeChild (Album *const child)
void | setParent (Album *const parent)
void | setTitle (const QString &title)

## Member Function Documentation

## ◆ databaseUrl()

CoreDbUrl Digikam::SAlbum::databaseUrl | ( |  | ) | const
| override virtual

Returns
  the kde url of the album

Implements Digikam::Album.

## ◆ getTemporaryHaarTitle()

QString Digikam::SAlbum::getTemporaryHaarTitle | ( | DatabaseSearch::HaarSearchType | haarType | ) |
| static

Parameters

  haarType | type of the haar search to get the name for

Returns
  string that identifies this album uniquely as an unsaved search

## ◆ getTemporaryTitle()

QString Digikam::SAlbum::getTemporaryTitle | ( | DatabaseSearch::Type | type,
|  | DatabaseSearch::HaarSearchType | haarType = `DatabaseSearch::HaarImageSearch`
| ) |  |
| static

Parameters

  type | the type of the search to get the temporary title for
  haarType | there are several haar searches, so that this search type needs a special handling

Returns
  string that identifies this album uniquely as an unsaved search

## ◆ isTemporarySearch()

bool Digikam::SAlbum::isTemporarySearch | ( |  | ) | const

Returns
  true if this is a temporary search album, else false